Bug 1198450 - Support for Tomcat 8
Summary: Support for Tomcat 8
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: tomcatjss
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Endi Sukma Dewata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-04 07:46 UTC by Endi Sukma Dewata
Modified: 2016-12-20 13:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 13:19:19 UTC
Type: Bug


Attachments (Terms of Use)
tomcatjss-edewata-0003-Support-for-Tomcat-8.patch (5.00 KB, patch)
2015-03-04 14:19 UTC, Endi Sukma Dewata
mharmsen: review+
Details | Diff

Description Endi Sukma Dewata 2015-03-04 07:46:46 UTC
Currently tomcatjss only supports Tomcat 7. In Rawhide the Tomcat 7 has been replaced with Tomcat 8, causing a build failure.

tomcatjss should be modified to support multiple Tomcat versions in order to simplify the transition from one Tomcat version to another.

Comment 1 Endi Sukma Dewata 2015-03-04 14:19:46 UTC
Created attachment 997868 [details]
tomcatjss-edewata-0003-Support-for-Tomcat-8.patch

Comment 2 Matthew Harmsen 2015-03-04 19:43:46 UTC
Comment on attachment 997868 [details]
tomcatjss-edewata-0003-Support-for-Tomcat-8.patch

ACK

CAVEAT: Make certain that this patch fixes Tomcat 8 on Fedora 22/23, as I was
        only able to install and test it to make certain that it did not break
        Tomcat 7 running on Fedora 21.

NOTE:   In reviewing this source, I noticed that the Java 7 implementation of
        X509Certificate changed in Java 8, and there is a JSS implementation of
        X509CErtificate as well.  A separate bug should be filed to replace the
        wildcard imports present in tomcatjss source code, as this may help
        future examination of the source.

Comment 3 Matthew Harmsen 2015-03-04 19:46:19 UTC
(In reply to Matthew Harmsen from comment #2)
> Comment on attachment 997868 [details]
> tomcatjss-edewata-0003-Support-for-Tomcat-8.patch
> 
> ACK
> 
> CAVEAT: Make certain that this patch fixes Tomcat 8 on Fedora 22/23, as I was
>         only able to install and test it to make certain that it did not
> break
>         Tomcat 7 running on Fedora 21.
> 
> NOTE:   In reviewing this source, I noticed that the Java 7 implementation of
>         X509Certificate changed in Java 8, and there is a JSS implementation
> of
>         X509CErtificate as well.  A separate bug should be filed to replace
> the
>         wildcard imports present in tomcatjss source code, as this may help
>         future examination of the source.

Also, once tomcatjss 7.1.2 has been created, file a PKI TRAC Ticket requiring that the dogtag-pki.spec and pki-core.spec file build and runtime dependencies be updated to account for this new version of tomcatjss.

Comment 4 Endi Sukma Dewata 2015-03-05 06:54:27 UTC
Thanks. The patch has been tested with Tomcat 8 on F23 and with Tomcat 7 on F22, and also pushed to master.

Bug #1198929 has been opened for the cleanup issue. The Dogtag dependency will be fixed in an existing ticket: https://fedorahosted.org/pki/ticket/1264

Comment 5 Fedora Update System 2015-04-23 18:38:55 UTC
tomcatjss-7.1.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/tomcatjss-7.1.2-1.fc22

Comment 6 Fedora Update System 2015-04-23 18:40:57 UTC
tomcatjss-7.1.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/tomcatjss-7.1.2-1.fc21

Comment 7 Fedora Update System 2015-04-23 18:41:25 UTC
tomcatjss-7.1.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tomcatjss-7.1.2-1.fc20

Comment 8 Fedora Update System 2015-04-26 12:58:32 UTC
tomcatjss-7.1.2-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Jan Kurik 2015-07-15 14:27:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 10 Fedora End Of Life 2016-11-24 11:31:11 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2016-12-20 13:19:19 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.